# Generated from rabbit-slide-kou-scipy-japan-2020-2020.10.30.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rabbit-slide-kou-scipy-japan-2020

Name: rubygem-%{gem_name}
Version: 2020.10.30.0
Release: 1%{?dist}
Summary: Apache Arrow 1.0 - A cross-language development platform for in-memory data
License: CC-BY-SA-4.0
URL: https://slide.rabbit-shocker.org/authors/kou/scipy-japan-2020/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Apache Arrow is a cross-language development platform for in-memory
data. You can use Apache Arrow to process large data effectively in
Python and other languages such as R. Apache Arrow is the future of
data processing. Apache Arrow 1.0, the first major version, was
released at 2020-07-24. It's a good time to know Apache Arrow and
start using it.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.rabbit
%{gem_instdir}/Rplots.pdf
%{gem_instdir}/apache-arrow-1.0.rab
%{gem_instdir}/config.yaml
%{gem_instdir}/images
%{gem_instdir}/pdf
%{gem_instdir}/theme.rb
%{gem_instdir}/tools
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rd
%{gem_instdir}/Rakefile

%changelog
* Tue Sep 14 2021 mockbuilder - 2020.10.30.0-1
- Initial package
